namespace Tinkerforge
{
    public static class EHallEffect
    {
        public static (byte EdgeType, byte Debounce) GetEdgeCountConfig(this BrickletHallEffect hallEffect)
        {
            hallEffect.GetEdgeCountConfig(out byte edgeType, out byte debounce);
            return (edgeType, debounce);
        }
    }
}
